| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::AtomicObject< T > Class Template Reference
Core » General

`#include <OgreAtomicObject.h>`

## Public Member Functions
| AtomicObject (const T &initial)
| AtomicObject (const AtomicObject< T > &cousin)
| AtomicObject ()
bool | cas (const T &old, const T &nu)
T | get (void) const
T | operator++ (void)
T | operator++ (int)
T | operator+= (const T &add)
T | operator-- (int)
T | operator-= (const T &sub)
void | operator= (const AtomicObject< T > &cousin)
void | set (const T &v)

## Detailed Description

### template<class T>
class Ogre::AtomicObject< T >

Deprecated:
  do not use

## Constructor & Destructor Documentation

## ◆ AtomicObject() [1/3]

template<class T>

Ogre::AtomicObject< T >::AtomicObject | ( | const T & | initial | ) |
| inline

## ◆ AtomicObject() [2/3]

template<class T>

Ogre::AtomicObject< T >::AtomicObject | ( | const AtomicObject< T > & | cousin | ) |
| inline

## ◆ AtomicObject() [3/3]

template<class T>

Ogre::AtomicObject< T >::AtomicObject | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

template<class T>

void Ogre::AtomicObject< T >::operator= | ( | const AtomicObject< T > & | cousin | ) |
| inline

References Ogre::AtomicObject< T >::get().

## ◆ get()

template<class T>

T Ogre::AtomicObject< T >::get | ( | void |  | ) | const
| inline

References OGRE_LOCK_AUTO_MUTEX.

Referenced by Ogre::AtomicObject< T >::operator=().

## ◆ set()

template<class T>

void Ogre::AtomicObject< T >::set | ( | const T & | v | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ cas()

template<class T>

bool Ogre::AtomicObject< T >::cas | ( | const T & | old,
|  | const T & | nu
| ) |  |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ operator++() [1/2]

template<class T>

T Ogre::AtomicObject< T >::operator++ | ( | void |  | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ operator++() [2/2]

template<class T>

T Ogre::AtomicObject< T >::operator++ | ( | int |  | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ operator--()

template<class T>

T Ogre::AtomicObject< T >::operator-- | ( | int |  | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ operator+=()

template<class T>

T Ogre::AtomicObject< T >::operator+= | ( | const T & | add | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ operator-=()

template<class T>

T Ogre::AtomicObject< T >::operator-= | ( | const T & | sub | ) |
| inline

References OGRE_AUTO_MUTEX, and OGRE_LOCK_AUTO_MUTEX.

The documentation for this class was generated from the following file:

- OgreAtomicObject.h